iv_main(3)

NAME
iv_main - enter the ivykis main loop

SYNOPSIS
#include <iv.h>

void iv_main(void);

DESCRIPTION
iv_main enters the current thread's ivykis main loop.

The ivykis main loop consists of checking the status of the registered file descriptors, timers and tasks, and either calling callback functions corresponding to active objects, or blocking until an event arrives.

Each thread that wants to use ivykis must individually call iv_main to enter the ivykis main loop -- but only after having called iv_init(3) earlier.

SEE ALSO
ivykis(3), iv_examples(3), iv_quit(3)